/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

:root {
  --primary-green: #5e8051;
  --secondary-green: #9cba93;
}

/* dm-sans-200 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 200;
  src: url('fonts/dm-sans-v17-latin_latin-ext-200.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-200italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: italic;
  font-weight: 200;
  src: url('fonts/dm-sans-v17-latin_latin-ext-200italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-300 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 300;
  src: url('fonts/dm-sans-v17-latin_latin-ext-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-300italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: italic;
  font-weight: 300;
  src: url('fonts/dm-sans-v17-latin_latin-ext-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-regular - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/dm-sans-v17-latin_latin-ext-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: italic;
  font-weight: 400;
  src: url('fonts/dm-sans-v17-latin_latin-ext-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-500 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 500;
  src: url('fonts/dm-sans-v17-latin_latin-ext-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-500italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: italic;
  font-weight: 500;
  src: url('fonts/dm-sans-v17-latin_latin-ext-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-600 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 600;
  src: url('fonts/dm-sans-v17-latin_latin-ext-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-600italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: italic;
  font-weight: 600;
  src: url('fonts/dm-sans-v17-latin_latin-ext-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-700 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/dm-sans-v17-latin_latin-ext-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-700italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: italic;
  font-weight: 700;
  src: url('fonts/dm-sans-v17-latin_latin-ext-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-800 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 800;
  src: url('fonts/dm-sans-v17-latin_latin-ext-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-800italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: italic;
  font-weight: 800;
  src: url('fonts/dm-sans-v17-latin_latin-ext-800italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-900 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 900;
  src: url('fonts/dm-sans-v17-latin_latin-ext-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* dm-sans-900italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: italic;
  font-weight: 900;
  src: url('fonts/dm-sans-v17-latin_latin-ext-900italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

.lang-item a img {
  width: 22px!important;
  height: 15px!important;
}

html, body, h1, h2, h3, h4, h5, h6, p, a, li, input, button, div {
    font-family: 'DM Sans'!important;
}

.wpcf7-response-output {
  padding: 10px 20px!important;
  font-size: 18px!important;
}

.wpcf7 form.sent .wpcf7-response-output {
  border-color: var(--secondary-green)!important;
  color: white!important;
  background-color: var(--primary-green)!important;
}

.justify {
    text-align: justify;
}

.strong-color strong {
    color: var(--primary-green)!important;
    font-size: 26px;
}

.center-border {
    text-align: center;
    padding: 50px 20px;
    border: 1px dotted #ee492b;
}

/* Google reCaptcha */
.grecaptcha-badge {
    visibility: hidden;
}


@media (min-width: 0px) and (max-width: 569px) {
    .mobile-full {
        width: 100%!important;
        height: auto;
        margin-bottom: 20px;
        box-shadow: 0px 0px 30px #aaa;
    }
}

.no-border a {
    border-bottom: none!important;
}
.solid-border a {
    border-style: solid!important;
}

.white, a.white, .white a {
  color: white!important;
}

.panel:not(.has-padding) .panel-title > a {
  padding: 13px 0px 13px 0px!important;
}

.zlavy-menu li a {
  font-size: 20px;
}

.smalltext p {
  font-weight: 400!important;
  font-size: 12px!important;
}

form small {
  font-weight: 400!important;
  font-size: 12px!important;
}


/* Ikony rýchleho kontaktu MOBIL */
.fine-icon-mobile {
  position: -webkit-sticky;
  position: sticky;
  bottom: 0px!important;
  z-index: 10;
  width: 100%;
}
.fine-icon-mobile .fine-icon-phone {
  position: absolute;
  left: 25px;
  bottom: 25px;
}
.fine-icon-mobile .fine-icon-mail {
  position: absolute;
  left: 100px;
  bottom: 25px;
}
.fine-icon-mobile a {
  display: block;
  font-size: 26px;
  background-color: var(--primary-green);
  width: 60px;
  height: 60px;
  line-height: 65px;
  border-radius: 60px;
  text-align: center;
}
.fine-icon-mobile a:hover {
  color: white!important;
  background-color: #588b43;
  -webkit-transition: background-color 250ms linear;
  -ms-transition: background-color 250ms linear;
  transition: background-color 250ms linear;
}


/* Ikony rýchleho kontaktu PC */
.fine-icon-pc {
  position: -webkit-sticky;
  position: sticky;
  bottom: 0px!important;
  z-index: 10;
  width: 100%;
}
.fine-icon-pc .fine-icon-phone {
  position: absolute;
  left: 25px;
  bottom: 25px;
}
.fine-icon-pc .fine-icon-mail {
  position: absolute;
  left: 195px;
  bottom: 25px;
}
.fine-icon-pc a {
  display: block;
  font-size: 14px;
  background-color: var(--primary-green);
  line-height: 34px;
  border-radius: 60px;
  text-align: center;
  padding: 0px 12px;
}
.fine-icon-pc a i {
  vertical-align: middle;
}
.fine-icon-pc a:hover {
  color: white!important;
  background-color: #588b43;
  -webkit-transition: background-color 250ms linear;
  -ms-transition: background-color 250ms linear;
  transition: background-color 250ms linear;
}

/* Scrool Up v pätičke */
.fine-scrollup {
  text-align: center;
}
.fine-scrollup a {
  color: white;
  line-height: 50px;
  height: 50px;
  font-size: 28px;
  width: 100%;
  display: block;
  background-color:var(--primary-green);
}
.fine-scrollup a:hover {
  background-color: #588b43;
  -webkit-transition: background-color 250ms linear;
  -ms-transition: background-color 250ms linear;
  transition: background-color 250ms linear;
}
a.box-link {
  padding: 5px 10px;
  background-color: rgba(0, 0, 0, 0.743);
  border-radius: 30px;
  font-weight: 600;
}

/* Obal pre responzivitu na mobiloch */
.table-wrapper {
  width: 100%;
  overflow-x: auto;
  margin: 20px 0;
}

/* Všeobecný styling tabuľky */
table {
  width: 100%;
  border-collapse: collapse;
  color: #333;
  background-color: #fff;
  border: 1px solid #ddd;
}

/* Hlavička tabuľky */
table thead tr {
  background-color: var(--primary-green); /* Výrazná tmavošedá */
  color: #ffffff;
  text-align: left;
}

table th, 
table td {
  padding: 12px 15px;
  border: 1px solid #eee;
}

/* Alternatívne riadky (Zebra efekt) */
table tbody tr:nth-of-type(even) {
  background-color: #f7f7f7; /* Jemne šedý riadok */
}

/* Hover efekt na riadok */
table tbody tr:hover {
  background-color: #efefef; /* O niečo tmavšia šedá pri prejdení myšou */
  transition: background-color 0.2s ease;
}

/* Jemné zvýraznenie prvého stĺpca (voliteľné) */
table td:first-child {
  font-weight: 600;
  color: #000;
}

.text-lead, .text-lead:not(ul):not(ol) > *, .text-lead > *:not(ul):not(ol):not(li) {
    margin: 16px 0px 0px 0px;
}


#cmplz-manage-consent .cmplz-manage-consent {
    height: 35px!important;
    line-height: 0px!important;
    background-color: var(--primary-green)!important;
    color: white!important;
  }


.box-sluzba .uncell {
  padding: 26px!important;
  border-radius: 10px;
  box-shadow: 0 0 5px #0000002b;
  position: relative;
  overflow: hidden;
  background-color: white;
  transition: all 0.3s ease-in-out;
}

/* Vytvorenie svetelného lúča */
.box-sluzba .uncell::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    120deg,
    transparent,
    rgba(230, 241, 228, 0.6), /* Tvoja zelená s priesvitnosťou */
    transparent
  );
  transition: all 0.6s;
}

.box-sluzba .uncell:hover {
  background-color: #f8fbf8; /* Len veľmi jemný nádych */
  box-shadow: 0 8px 15px #0000002b;
  transform: translateY(-5px);
}

.box-sluzba .uncell:hover::before {
  left: 100%;
}

.video iframe {
 min-height: 80vh;
}
@media (min-width: 0px) and (max-width: 1200px) {
  .video iframe {
  min-height: auto;
  }
}

.ikona {
  font-size: 1.6rem;

}
.ikona i {
  font-size: 2.2rem;
  color: rgb(193, 1, 1);
}